package Controllers.Home;

import java.net.URL;
import java.util.ResourceBundle;
import javafx.animation.FadeTransition;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.Node;
import javafx.scene.layout.AnchorPane;
import javafx.util.Duration;

/**
 * FXML Controller class
 * @author Maher Ben Tili
 */
public class MentionsController implements Initializable {

    @FXML private AnchorPane AnchorPaneMentions ;
    
    /**
     * Initializes the controller class.
     */
    @Override
    public void initialize(URL url, ResourceBundle rb) {
        FadeTransitionNode(AnchorPaneMentions);
    }    
    
    public void FadeTransitionNode(Node AnchorPane){
        FadeTransition ft = new FadeTransition(Duration.millis(200), AnchorPane);
        ft.setFromValue(0);
        ft.setToValue(1.0);
        ft.play();
    }   
    
}
